<block-ui message="Loading..."> </block-ui>
<div class="col-xl-12 c-alert pl-0 pr-0">
  <app-alert [message]="message" [type]="type" id="alert"> </app-alert>
</div>
<div class="add-sms-template">
  <span class="mb-3 mt-3 ml-3" id="heading">
    {{ addItem ? ' Add SMS Template' : 'Edit SMS Template' }}
  </span>

  <div class="bg-white custom-form-update">
    <mat-tab-group>
      <mat-tab label="Details">

        <form class="" autocomplete="off" [formGroup]="smsForm">

          <div class="form-group ">
            <div class="row pt-3">

              <div class="col-xl-4 custom-border">
                <div class="row pl-3 pr-3">
                  <div class="col-xl-12 text-right pr-0 mb-1">
                    <span style="color: #939393;">Required</span>
                  </div>
                  <div class="col-xl-12 d-flex align-items-left pr-0">
                    <mat-form-field [appearance]="apperance" class="full-width" id="templatename-field">
                      <mat-label>Template Name</mat-label>
                          <input matInput placeholder="Template Name" maxlength="100" formControlName="name" required appCharLimit
                                 [frmGroup]="smsForm" fcName="name" [max]="100" />
                          <mat-icon matSuffix [ngClass]="{'icon-invalid pointer-wrapper' :  (smsForm.get('name').dirty || smsForm.get('name').touched)}" (click)="cleartext('templatename')">
                            cancel
                          </mat-icon>

                      <mat-error *ngIf="smsForm.get('name').hasError('exceedLimit')">
                        {{smsForm.get('name').getError('exceedLimit')}}
                      </mat-error>

                      <mat-error *ngIf="smsForm.get('name').hasError('required')">
                        This field is required.
                      </mat-error>
                    </mat-form-field>
                  </div>
                </div>
                <div class="row pl-3 pr-3 bottommargin">
                  <div class="col-xl-6 text-left  mb-1">
                    <span style="color: #939393;" class="field-custom-label">Location:</span>
                  </div>
                  <div class="col-xl-6 text-right pr-0 mb-1">
                    <span style="color: #939393;">Required</span>
                  </div>
                  <div class="col-xl-12 d-flex align-items-left pr-0">
                    <kendo-multiselect [data]="locationData" placeholder="Location Name" [filterable]="true" [textField]="'locationName'" [valueField]="'locationId'" [value]="bussinesstemplate.businessTemplateLocations" (valueChange)="onLocationChange($event)" formControlName="locationName"
                                       [kendoDropDownFilter]="filterSettings">
                    </kendo-multiselect>
                  </div>
                  <mat-error *ngIf="smsForm.get('locationName').hasError('required')" class=" pl-3 pr-3">
                    This field is required.
                  </mat-error>
                </div>
                <div class="row pb-2 pl-3 pr-3">
                  <!-- Description  -->
                  <div class="col-xl-12 d-flex align-items-left pr-0">
                    <mat-form-field [appearance]="apperance" class="full-width">
                      <mat-label>Description</mat-label>
                      <textarea matInput placeholder="Description" maxlength="250" formControlName="description" rows="3" appCharLimit
                                [frmGroup]="smsForm" fcName="description" [max]="250"></textarea>

                      <mat-error *ngIf="smsForm.get('description').hasError('exceedLimit')">
                        {{smsForm.get('description').getError('exceedLimit')}}
                      </mat-error>
                    </mat-form-field>
                  </div>
                </div>
                <div class="row pb-2 pl-3 pr-3">
                  <!-- Tag  -->
                  <div class="col-xl-12 d-flex align-items-left pr-0">
                    <kendo-card>
                      <kendo-card-body>
                        <div (click)="toggleRecipe()">
                          <span>
                            <b>Tags</b>
                            <span [ngClass]="heartIcon()" (click)="toggleLike()"></span>
                          </span>
                        </div>
                        <div *ngIf="expanded">
                          <hr kendoCardSeparator />
                          <div class="recipe-wrap">
                            <kendo-treeview [nodes]="data" textField="text" kendoTreeViewExpandable kendoTreeViewSelectable kendoTreeViewHierarchyBinding childrenField="items">
                              <ng-template kendoTreeViewNodeTemplate let-dataItem draggable="true">
                                <span>
                                  {{ dataItem.class1 }}&nbsp;
                                  {{ dataItem.text }}&nbsp;
                                  {{ dataItem.class2 }}
                                </span>
                              </ng-template>
                            </kendo-treeview>
                          </div>
                        </div>
                      </kendo-card-body>
                    </kendo-card>
                  </div>
                </div>
              </div>
              <div class="col-xl-8 cc-right-box">
                <div class="row pb-2 pr-3">
                  <div class="col-xl-12 text-right pr-0">
                    <span style="color: #939393;">Required</span>
                  </div>
                  <!-- Subject  -->
                  <div class="col-xl-12 d-flex align-items-left pr-0 sms-editor">
                    <mat-form-field [appearance]="apperance" class="full-width textarea-mat-form-field">
                      <textarea matInput [maxlength]="maxChars" placeholder="Type Here...." formControlName="body" rows="10" (ngModelChange)="onTextChange($event)"></textarea>
                    </mat-form-field>
                    <div class="sms-editor-bottom">
                      <div class="sms-editor-bottom-inner">
                        <div class=" charactertype-wrapper">
                          Characters Typed : {{characterlength}}/{{maxChars}}
                        </div>
                        <div class=" charactertype-wrapper sms-wrapper">
                          SMS Count : {{smscount}}/4
                        </div>
                      </div>
                    </div>
                  </div>
                  <span class="description-error">{{errormessage}}</span>
                </div>
                <div class="info-right-box">
                  <div>
                    <img src="../../../../../../assets/info.png">
                  </div>
                  <p class="info-right-box-p">
                    SMS messages cannot be greater than 612 characters. Please take into consideration that the tags will be substituted with actual values while sending SMS.
                  </p>
                </div>
                <div class="row">
                  <div class="col-sm-6 col-md-6 col-xl-6">
                    <table border="1">
                      <thead>
                        <tr class="charater-wrapper-tr normal_16px_19px_font">
                          <td colspan="4">character count</td>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">
                            Character Type
                          </td>
                          <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">
                            No. of Charactes
                          </td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">Letter</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">1</td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">Number</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">1</td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">Space</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">1</td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">Line Break</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">2</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="col-sm-6 col-md-6 col-xl-6">
                    <table border="1">
                      <thead>
                        <tr class="charater-wrapper-tr normal_16px_19px_font">
                          <td colspan="4">sms count</td>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">No. of SMS</td>
                          <td class="charater-wrapper-td normal_16px_19px_font" style="font-weight: 700;">
                            No. of Charactes
                          </td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">1</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">160</td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">2</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">306</td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">3</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">459</td>
                        </tr>
                        <tr>
                          <td class="charater-wrapper-td normal_16px_19px_font">4</td>
                          <td class="charater-wrapper-td normal_16px_19px_font">612</td>
                        </tr>
                      </tbody>

                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <mat-divider style="margin-left: 40px;"></mat-divider>
          <div class="bottom-bar-wrapper">
            <div class="text-left control-row deletebutton" style="padding-left: 40px;">
              <div class="pt-3" *appAccess="moduleName;lookFor: 'D'">
                <button *ngIf="!addItem" mat-raised-button class="deletebutton-wrapper custom-delete-btn" (click)="delete()">
                  Delete
                </button>
              </div>
            </div>
            <div class="text-right control-row">
              <div class="pt-3">
                <ng-container *appAccess="moduleName;lookFor: ['C', 'E']">
                  <button *ngIf="!addItem" mat-stroked-button color="accent" class="mr-3" (click)="duplicate()">
                    Duplicate
                  </button>
                </ng-container>
                <button mat-stroked-button color="accent" class="mr-3" type="button" (click)="cancelForm()">
                  Cancel
                </button>
                <button *appAccess="moduleName;lookFor: ['C', 'E']" mat-raised-button color="accent" class=" footer-btn-customize" (click)="submitform()">
                  Save
                </button>
              </div>
            </div>
          </div>
        </form>

      </mat-tab>
    </mat-tab-group>
    <div class="d-flex justify-content-end custom-switch" [formGroup]="smsForm">
      <h5 class="">Status</h5>
      <kendo-switch [onLabel]="'Active'" formControlName="status" [offLabel]="'Inactive'" class=" ml-3 wide-switch">
      </kendo-switch>
    </div>
  </div>

  <!-- Delete Template Dialog Start -->
  <kendo-dialog *ngIf="opened" (close)="close('cancel')" [height]="auto" [width]="680" autoFocusedElement="#no">
    <div class="modalHeight">
      <div class="col-xl-12 p-0">
        <div class="custom-delete-modal">
          <span class="QUI_BOLD_24_32 deletetext">
            Do you wish to delete this template?
          </span>
          <button mat-icon-button (click)="close()" aria-label="Close dialog">
            <mat-icon>close</mat-icon>
          </button>
        </div>
      </div>
      <mat-divider class=""></mat-divider>
      <div class="deleteDescription custom-dlt-content">
        <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor">Deleted template cannot be restored.</p>
      </div>
      <mat-divider></mat-divider>
      <mat-dialog-content>
        <div class="text-right control-row bottom-btn">
          <div class="pt-3">
            <button mat-stroked-button color="accent" class="mr-3" (click)="close();" id="no" style="padding: 0 30px">
              No
            </button>
            <button mat-raised-button color="accent" class="" (click)="confirdelete('yes','delete');" style="padding: 0 30px">
              Yes
            </button>
          </div>
        </div>
      </mat-dialog-content>
    </div>
  </kendo-dialog>
  <!-- Delete Template Dialog End -->
  <!-- Duplicate Template Dialog Start -->
  <kendo-dialog *ngIf="openedduplicate" (close)="close('cancel')" [height]="auto" [width]="790" autoFocusedElement="#noduplicate">
    <div class="modalHeight">
      <div class="col-xl-12 p-0">
        <div class="custom-delete-modal">
          <span class="QUI_BOLD_24_32 deletetext">
            DO YOU WISH TO DUPLICATE THIS SMS TEMPLATE?
          </span>
          <button mat-icon-button (click)="close()" aria-label="Close dialog">
            <mat-icon>close</mat-icon>
          </button>
        </div>
      </div>
      <mat-divider class=""></mat-divider>
      <div class="deleteDescription custom-dlt-content">
        <p class="HEL_REG_16_22 patientdeletemodal custom-font mt-2 lightcolor">
          Click "Yes",to save the changes made to the current template and create a duplicate.
        </p>
      </div>
      <mat-divider></mat-divider>
      <mat-dialog-content>
        <div class="text-right control-row bottom-btn">
          <div class="pt-3">
            <button mat-stroked-button color="accent" class="mr-3" (click)="close();" id="noduplicate" style="padding: 0 30px">
              No
            </button>
            <button mat-raised-button color="accent" class="" (click)="confirdelete('yes','duplicate');" style="padding: 0 30px">
              Yes
            </button>

          </div>
        </div>
      </mat-dialog-content>
    </div>
  </kendo-dialog>
  <!-- Duplicate Template Dialog End -->
  <!-- Cancel Form start -->
  <kendo-dialog *ngIf="openconfirmScreen" (close)="close('cancel')" [height]="auto" [width]="738" autoFocusedElement="#nocancel">
    <span class="bold_18px_font black uppercasetext" style="padding: 25px 0px 20px 8px;">
      do you wish to Cancel this SMS template?
    </span>
    <mat-divider class="ml-4 mt-3 mr-3"></mat-divider>
    <div class="modalClosebtn exportclose">
      <button mat-icon-button (click)="close()" aria-label="Close dialog">
        <mat-icon>close</mat-icon>
      </button>
    </div>
    <p class="normal_16px_22px_font normalhelfont lightcolor lightcolor" style="padding: 44px 0px 58px 8px;">
      Do you want to Cancel Adding SMS template?
    </p>
    <mat-divider class="ml-4 mr-3"></mat-divider>
    <div>
      <div class="text-right control-row">
        <div class="mt-3">
          <button mat-stroked-button #btnRef="matButton" color="accent" class="mr-3 cancelbuttons btnheight" (click)="confirmDelete('no')" id="nocancel">
            No
          </button>
          <button mat-raised-button color="accent" class="btnheight" (click)="confirmDelete('yes')">
            Yes
          </button>
        </div>
      </div>
    </div>
  </kendo-dialog>
  <!-- Cancel Form End -->
</div>
